Supercheck LogoSupercheck
Jobs API

Update a job

Update job configuration. Only provided fields are changed.

PATCH
/api/jobs/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

CLI token (sck_live_*) for full API access, or trigger key (sck_trigger_* / legacy job_*) for job trigger endpoint only.

In: header

Path Parameters

id*string

Job ID

Formatuuid

Request Body

application/json

name?string
description?string
cronSchedule?string
tests?array<>
Items1 <= items
alertConfig?

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://demo.supercheck.dev/api/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": "string",
  "cronSchedule": "string",
  "nextRunAt": "2019-08-24T14:15:22Z",
  "scheduledJobId": "string",
  "testCount": 0
}
Empty
{
  "error": "Unauthorized"
}
{
  "error": "string"
}
{
  "error": "Not found"
}